<?xml version="1.0" encoding="utf-8" ?>
<!--
Licensee: Universidad de La Frontera
License Type: Academic
-->
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
	<class name="orm.Hora_medica" table="hora_medica" lazy="false">
		<id name="id" column="id" type="integer" unsaved-value="0">
			<generator class="native">
			</generator>
		</id>
		<many-to-one name="box" cascade="lock" column="box_id" class="orm.Box" not-null="true" lazy="proxy" access="field">
		</many-to-one>
		<many-to-one name="medico" cascade="lock" column="medico_id" class="orm.Medico" not-null="true" lazy="proxy" access="field">
		</many-to-one>
		<property name="hora_inicio" column="hora_inicio" type="timestamp" not-null="false" lazy="false"/>
		<property name="tipo_hora" column="tipo_hora" type="integer" length="1" not-null="true" lazy="false"/>
		<property name="tiempo_periodo" type="integer" length="10" not-null="false" lazy="false">
			<column name="tiempo_periodo" default="15"/>
		</property>
		<one-to-one name="reserva" class="orm.Reserva" cascade="save-update,lock" property-ref="hora_medica" lazy="proxy" access="field"/>
	</class>
</hibernate-mapping>
